<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Stock_snapshot_model extends CI_Model
{
    protected $table = 'stock_snapshots';

    // Motivos de snapshot
    const CIERRE_DIA = 'cierre_dia';

	public function create(array $data)
	{
		return $this->db->insert('stock_snapshots', $data);
	}


	public function get_ultimo_snapshot($id_producto, $id_almacen)
	{
		return $this->db
			->from('stock_snapshots')
			->where('id_producto', $id_producto)
			->where('id_almacen', $id_almacen)
			->order_by('fecha', 'DESC')   // ordena de más reciente a más antiguo
			->limit(1)
			->get()
			->row_array();               // devuelve todo el registro
	}
}